(ns com.aurellem.gb.pokemon-presets)

(def pokemon-base
  {:dv {:attack 15 :hp 15 :defense 15
        :special 15 :speed 15}
   :species :ditto
   :original-trainer "RLM"
   :ID 5195
   :status :normal
   :experience
   {:main-exp 500
    :attack-exp 0xFFFF
    :defense-exp 0xFFFF
    :speed-exp 0xFFFF
    :special-exp 0xFFFF
    :hp-exp 0xFFFF}

   :stats
   {:level 2
    :current-hp 17
    :hp 17
    :attack 10
    :defense 10
    :speed 10
    :special 10}
      
   :moves [[:transform {:pp-ups 0 :current-pp 5}]]})

(def base-mew
  (merge
   pokemon-base
   {:species :mew
    :moves [:pound]}))
   
(def HM-mew
  (merge
   base-mew
   {:moves [:fly :flash :cut :strength]}))

(def ideal-pikachu
  (merge
   pokemon-base
   {:species :pikachu
    :moves [:thundershock :growl :surf]}))


(def young-jigglypuff
  {:name "JIGGLYPUFF", :species :jigglypuff, :species2 :jigglypuff,
   :status :normal,
   :moves [[:sing {:pp-ups 0, :current-pp 4}]],
   :dv {:attack 15, :defense 15, :speed 15, :special 15, :hp 15},
   :experience
   {:main-exp 21, :hp-exp 0xFF, :attack-exp 0xFF,
    :defense-exp 0xFF, :speed-exp 0xFF, :special-exp 0xFF}, 
   :type [:normal],
   :original-trainer "RLM",
   :stats {:level 3, :current-hp 5, :hp 20, :attack 8, :defense 6,
           :speed 6, :special 7}, 
   :ID 5195})

(def tauros
  (merge
   pokemon-base
   {:species :tauros
    :stats {:level 3, :current-hp 20, :hp 20,
            :attack 13, :defense 13, :speed 14, :special 11}
    :moves [:body-slam :hyper-beam
            :earthquake :blizzard]}))

(def chansey
  (merge
   pokemon-base
   {:species :chansey
    :stats {:level 3, :current-hp 30, :hp 30,
            :attack 8, :defense 8, :speed 10, :special 14}
    :moves [:ice-beam :thunderbolt
            :softboiled :thunder-wave]}))

(def starmie
  (merge
   pokemon-base
   {:species :starmie
    :stats {:level 3, :current-hp 19, :hp 19,
            :attack 12, :defense 12, :speed 14, :special 13}
    :moves [:thunderbolt :blizzard
            :thunder-wave :recover]}))

(def golem
  (merge
   pokemon-base
   {:species :golem
    :stats {:level 3, :current-hp 20, :hp 20,
            :attack 14, :defense 15, :speed 10, :special 11}
    :moves [:earthquake :body-slam
            :rock-slide :explosion]}))

(def exeggutor
  (merge
   pokemon-base
   {:species :exeggutor
    :stats {:level 3, :current-hp 21, :hp 21,
            :attack 13, :defense 12, :speed 11, :special 15}
    :moves [:psychic :sleep-powder
            :mega-drain :explosion]}))

(def alakazam
  (merge
   pokemon-base
   {:species :alakazam
    :stats {:level 3, :current-hp 19, :hp 19,
            :attack 10, :defense 10, :speed 14, :special 15}
    :moves [:psychic :thunder-wave
            :recover :seismic-toss]}))
            
(def zapdos
  (merge
   pokemon-base
   {:species :zapdos
    :moves [:thunderbolt :drill-peck
            :thunder-wave :agility]}))